import { request } from '@umijs/max';

/**
 * 模块相关接口
 */
export default {

    //创建模块
    SaveCreateModule(params: ModuleTypes.ModuleType) {
        return request('/api/authorize/addmodule', {
            method: 'POST',
            data: {
                ...params
            }
        });
    },

    //获取模块视图
    GetTreeGridModule(params: ModuleTypes.ModuleType) {
        return request(`/api/authorize/gettreegrid`, {
            method: 'POST',
            data:{
                ...params
            }
        });
    },

    //修改模块
    SaveModifyModule(params: ModuleTypes.ModuleType) {
        return request('/api/authorize/editmodule', {
            method: 'POST',
            data: {
                ...params
            }
        });
    },

    //删除模块
    DeleteModule(id: string) {
        return request(`/api/authorize/removemodule?input=${id}`, {
            method: 'GET'
        });
    },

}